WSSH(1)

NAME
wsssh - SSH wrapper with WebSocket ProxyCommand support

SYNOPSIS
wsssh [--help] [--clientid client_id] [--wssshd-host host] [--wssshd-port port] [--debug] [--tunnel transport] [--tunnel-control transport] [user][@[clientid][.[wssshd-host]][:[sshstring]]] [ssh_options...]

DESCRIPTION
wsssh is an SSH wrapper that automatically configures SSH to use WebSocket tunnels through wsssht with ProxyCommand. It parses the target specification and constructs the appropriate SSH command with ProxyCommand to establish secure connections through WSSSH relays.

OPTIONS

--help
    Show help message and exit.

--clientid client_id
    Specify the client ID of the registered wssshc endpoint.

--wssshd-host host
    Specify the wssshd relay host.

--wssshd-port port
    Specify the wssshd relay websocket port (default: 9898).

--debug
    Enable debug output. When debug is enabled, the SSH command is displayed but not executed.

--tunnel transport
    Select data channel transport (comma-separated or 'any').

--tunnel-control transport
    Select control channel transport (comma-separated or 'any').

TARGET FORMAT
The target specification follows the format:

user[@[clientid][.[wssshd-host]][:[sshstring]]]

Where:

    user
        SSH username

    clientid
        Client ID of the registered wssshc endpoint

    wssshd-host
        wssshd relay hostname

    sshstring
        Additional SSH connection string (e.g., port number)

EXAMPLES

Connect to myclient:
    wsssh user@myclient

Connect with specific relay host:
    wsssh user@myclient.server.com

Connect with custom port:
    wsssh user@myclient.server.com:2222

Enable debug output:
    wsssh --debug user@myclient.server.com

Specify transport:
    wsssh --tunnel websocket user@myclient.server.com

Pass additional SSH options:
    wsssh user@myclient.server.com -p 2222 -o StrictHostKeyChecking=no

ENVIRONMENT
wsssh requires wsssht to be available either in PATH or in the same directory as wsssh.

SEE ALSO
wsssht(1), wssshc(1), ssh(1)

AUTHOR
Written by Stefy Lanza <stefy@nexlab.net> and SexHack.me

COPYRIGHT
Copyright © 2024 Stefy Lanza <stefy@nexlab.net> and SexHack.me
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

BUGS
Report bugs to <stefy@nexlab.net>